/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model;

import org.dive4elements.artifactdatabase.state.Facet;
import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.CallContext;
import org.dive4elements.river.artifacts.states.DefaultState.ComputeType;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class HistoricalDischargeWQFacet extends DataFacet {

    private double value;

    public HistoricalDischargeWQFacet() {
    }

    public HistoricalDischargeWQFacet(int index, String name,
        String description, ComputeType type, String hash, String stateId,
        double value) {

        super(index, name, description, type, hash, stateId);
        this.value = value;
    }

    @Override
    public Facet deepCopy() {
        HistoricalDischargeWQFacet copy = new HistoricalDischargeWQFacet();
        copy.set(this);
        copy.value = value;
        return copy;
    }

    @Override
    public Object getData(Artifact artifact, CallContext context) {
        return value;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
